Skip to main content
GET
/
v1
/
batches
List batches
curl --request GET \
  --url https://api.zerogpu.ai/v1/batches \
  --header 'x-api-key: <api-key>' \
  --header 'x-project-id: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "endpoint": "<string>",
      "input_file_id": "<string>",
      "output_file_id": "<string>",
      "error_file_id": "<string>",
      "completion_window": "<string>",
      "created_at": 123,
      "expires_at": 123,
      "request_counts": {
        "total": 123,
        "completed": 123,
        "failed": 123
      },
      "metadata": {}
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.zerogpu.ai/llms.txt

Use this file to discover all available pages before exploring further.

List batch jobs in your project. Use after with last_id from a previous page to paginate. Full reference: Batches API.

Authorizations

x-api-key
string
header
required
x-project-id
string
header
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
after
string

Cursor: last_id from the previous page

Response

Batch list

object
enum<string>
Available options:
list
data
object[]
first_id
string | null
last_id
string | null
has_more
boolean